d3.csv('https://gist.githubusercontent.com/Harshinireddyy19/4e1a662a4bb18ce866d59f76c130cfdb/raw/a48e8993c19a8e68ba2604f1f7a77009d955bd84/BodyMassIndex', function(err, rows){

//creating a function to read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes for the plotly data
var trace2 = {
	x:unpack(rows, 'Weight'), 
  y:unpack(rows, 'Height'), 
  z:unpack(rows, 'BodyFat'),
	mode: 'markers',
	marker: {
		color: 'rgb(123, 34,444)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(255, 34, 444)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace2];
  
//define the layouts -margin, axes value adn stules for the plotly data  
var layout = {
  margin: {
	l: 1,
	r: 1,
	b: 1,
	t: 1},
  scene: {
    xaxis: {
      title: 'Height',
      titlefont: {
         color: 'blue',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
    yaxis: {
      title: 'Weight',
      titlefont: {
         color: 'green',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
  zaxis: {
      title: 'Body Fat',
      titlefont: {
         color: 'orange',
         family: 'Arial, Open Sans',
         size: 12
      }
    }
   }
  };
  
// call the plotly newPlot method to plot the data
Plotly.newPlot('myDiv', data, layout);
});
